# Uses of Class
org.eclipse.ecf.remoteservice.rest.RestException

Packages that use RestException
Package
Description
org.eclipse.ecf.remoteservice.rest.client

## Uses of RestException in org.eclipse.ecf.remoteservice.rest.client

Methods in org.eclipse.ecf.remoteservice.rest.client that throw RestException
Modifier and Type
Method
Description
`protected org.apache.http.client.methods.HttpRequestBase`
RestClientService.`createAndPrepareHttpMethod(String uri, IRemoteCall call, IRemoteCallable callable)`
`protected void`
AbstractRestClientService.`handleException(String message, Throwable e, int responseCode)`
`protected void`
AbstractRestClientService.`handleException(String message, Throwable e, int responseCode, byte[] responseBody)`
`protected org.apache.http.client.methods.HttpRequestBase`
RestClientService.`prepareDeleteMethod(String uri, IRemoteCall call, IRemoteCallable callable)`